icetImageNull(3)

NAME
icetImageNull -- retrieve a placeholder for an empty image.

Synopsis

#include <IceT.h>

IceTImage icetImageNull( | void | );

Description

Images are created internally by the IceT library. Sometimes it is convenient to have a placeholder for a .igimage!null``null'' image, an image that does not and cannot hold data. Null images require no allocated memory to function.

If your code has the potential of using an IceTImage image object that might not otherwise be initialized, use icetImageNull to set it to a null object. This will ensure that IceT image functions that operate on it will behave deterministically.

A null image simply looks like an image with no pixels and has no color buffers. icetImageGetWidth, icetImageGetHeight, and icetImageGetNumPixels all return 0 for a null image. icetSetColorFormatand icetSetDepthFormatreturn ICET_IMAGE_COLOR_NONE and ICET_IMAGE_DEPTH_NONE, respectively.

You can identify a null image with the icetImageIsNull function.

Return Value

A null image object.

Errors

None.

Warnings

None.

Bugs

None known.

Copyright
Copyright (C)2010 Sandia Corporation

Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains certain rights in this software.

This source code is released under the New BSD License.

See Also

icetImageIsNull(3)